Alarm Event History
Alarm Event History
🚫
NOTE: This part of the API does not exist yet.
List all alarm events of a device.
GET
Endpoint
GET /care-homes/<locationId>/devices/<deviceId>/alarms
URL Params
before: Timestamp to filter alarms detected before this time.after: Timestamp to filter alarms detected after this time.order: Optional. Order of the results. Valid values areascordesc. Default isdesc. Ordering is based on thedetectedAttimestamp.cursor: Optional. Cursor for pagination. If not provided, the first page of results will be returned. The response includes anextCursorfield that can be used to fetch the next page of results.limit: Optional. Maximum number of alarm events to return per page. Default and maximum are 100.kinds: Optional. Comma-separated list of alarm kinds to filter by. Valid values are:
outOfBed,outOfRoom,outOfSeat,helpCall,fall,noise,wandering,inactivity.
If not provided, all alarm kinds will be returned.
Response
200 OK
{
"nextCursor": "000020db-8f0d-41f0-9974-d91371d2d3ae",
"events": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"detectedAt": "2026-01-15T11:30:56.336650702Z"
"kind": "outOfBed",
"footage": {
"video": "<file_url>",
"audio": "<file_url>"
}
}
]
}nextCursor: Cursor for fetching the next page of results. If null or undefined, there are no more results to fetch.events: List of alarm events matching the query parameters.id: Unique identifier of the alarm event.detectedAt: Timestamp when the alarm was detected.kind: Kind of the alarm event. Possible values are:outOfBed,outOfRoom,outOfSeat,helpCall,fall,noise,wandering,inactivity.footage: Object containing URLs to the video and audio footage related to the alarm event.
Bothvideoandaudioare optional and may be null or undefined if no footage is available.
Thefile_urlis a signed s3 URL that can be used to download the footage. It is valid for 10 minutes.